algorithmic modeling for Rhino
Tags:
new Rhino.Geometry.Interval(4.5, 8.0);
Dear David Rutten
Why in this code I have this error?
Runtime error (MissingMemberException): attribute 'Inteval' of 'namespace#' object is read-only
import rhinoscriptsyntax as rs
import Rhino
# inputs
#P = plane
# world XY plane
P0 = rs.PlaneFromFrame ( [0,0,0], [1,0,0], [0,1,0] )
Ax = 10
Ax = Ax/2
Bx = Ax * -1
print Ax
print Bx
x = Rhino.Geometry.Inteval(Ax,Bx);
#print x
Ay = 20
Ay = Ay/2
By = Ay * -1
print Ay
print By
y = Rhino.Geometry.Inteval(Ay,By);
#print y
# logic
r = rs.AddRectangle (P0,x,y)
# outputs
R = r
Dear Panda
I rewrite my code and is working now. Thank you.
May I ask you something else? how to add to the rectangle corner fillet radius?
I found this function Curve.CreateFillet()
but I did not realize how to use it yet.
Best!
Welcome to
Grasshopper
Added by Parametric House 0 Comments 0 Likes
Added by Parametric House 0 Comments 0 Likes
Added by Parametric House 0 Comments 0 Likes
Added by Parametric House 0 Comments 0 Likes
© 2024 Created by Scott Davidson. Powered by